/**
 * \file device/RegisterAccessorBase.h
 *
 * \author Alexandre Tuleu
 */

#ifndef LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_
#define LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_


#include "sbcp_common.h"

namespace sbcp {

class RegisterReaderBase {
public :
	virtual ~RegisterReaderBase();
	virtual void UpdateFromData(Data d) = 0;
};


class RegisterWriterBase {
public :
	virtual ~RegisterWriterBase();
	virtual Data ToData() = 0;
	virtual DeviceRegister::Address Address() const = 0;
};


}


#endif //LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_
