/**
 * \file MotorDriverUTest.cpp
 *
 *  \date May 5, 2012
 *  \author Alexandre Tuleu
 */



#include "MotorDriverUTest.h"
#include <libsbcp/errors/SbcpdError.h>

void MotorDriverUTest::SetUp(){
	d_bus = NULL;
	try{
		d_bus = new sbcp::Bus(NULL,NULL);
	} catch (const std::runtime_error & e) {
		d_bus = NULL;
	}
}



void MotorDriverUTest::TearDown(){
	if(d_bus){
		delete d_bus;
	}
}


TEST_F(MotorDriverUTest,IsWellDefined){

	try{
		sbcp::Device::Ptr d(new sbcp::amarsi::MotorDriver(*d_bus,0x01,0x01));
	} catch (const sbcp::SbcdpError & e){

	} catch (const std::exception & e) {
		FAIL() << "got an exception : " << e.what();
	}


}

