/**
 * \file Config.cpp
 *
 *  \date Dec 14, 2012
 *  \author Alexandre Tuleu
 */

#include "Config.h"

namespace sbcp {

	BusesConfigSection::BusesConfigSection(options::Section::Ptr s)
		: options::DynamicConfigSection<BusConfigSection>(s){
		Section().AddSubSection("default","default bus definition");
	}

	BusesConfigSection::~BusesConfigSection(){
	}

	const BusConfigSection & BusesConfigSection::Bus(const std::string & name){
		typedef std::tr1::shared_ptr<BusConfigSection> Ptr;
		Ptr b = SubSection(name);
		if(!b){
			throw std::out_of_range("Could not find bus '" + name + "'");
		}
		return *b;
	}

	Config::Config()
		: options::Config("sbcp")
		, d_shBusDefinitions(Section()){
	}

	Config::~Config(){
	}

} /* namespace sbcp */
