/**
 * \file Config.h
 *
 *  \date Dec 14, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBSBCP_UTILS_CONFIG_H_
#define LIBSBCP_UTILS_CONFIG_H_

#include "BusConfigSection.h"

/**
 *
 */
namespace sbcp {


class BusesConfigSection : public options::DynamicConfigSection<BusConfigSection>{
public :
	BusesConfigSection(options::Section::Ptr s);
	virtual ~BusesConfigSection();

	const BusConfigSection & Bus(const std::string & name);
};

/**
 *
 */
class Config : public options::Config{
public:
	Config();
	virtual ~Config();

	BCPP_ADD_SUBSECTION(BusesConfigSection,BusDefinitions,"bus","Definitions of all available buses");
};
} //namespace sbcp
#endif // LIBSBCP_CONFIGF_H_
